Summary:	Python CD-DA ripper preferring accuracy over speed
Name:		whipper
Version:	0.10.0
Release:	5
License:	GPL v3+
Group:		Applications
Source0:	https://github.com/whipper-team/whipper/archive/v%{version}.tar.gz
# Source0-md5:	ad9e6cb208fdb799ba21ded976e868b4
URL:		https://github.com/whipper-team/whipper
BuildRequires:	libsndfile-devel
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
BuildRequires:	python3-setuptools_scm
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	cdrdao
Requires:	flac
Requires:	libcdio-paranoia-utils
Requires:	python3-discid
Requires:	python3-modules
Requires:	python3-musicbrainzngs
Requires:	python3-mutagen
Requires:	python3-pycdio > 0.20
Requires:	python3-pygobject3
Requires:	python3-requests
Requires:	python3-ruamel.yaml
Requires:	python3-setuptools
Requires:	sox
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Whipper is a Python 2.7 CD-DA ripper, fork of the morituri project
(CDDA ripper for *nix systems aiming for accuracy over speed). It
improves morituri which development seems to have halted merging old
ignored pull requests, improving it with bugfixes and new features.

%prep
%setup -q

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md HACKING README.md TODO
%attr(755,root,root) %{_bindir}/accuraterip-checksum
%attr(755,root,root) %{_bindir}/whipper
%{_datadir}/metainfo/com.github.whipper_team.Whipper.metainfo.xml
%{py3_sitedir}/whipper
%{py3_sitedir}/whipper-%{version}-py*.egg-info
%attr(755,root,root)  %{py3_sitedir}/accuraterip.cpython-*.so
%changelog
* Mon Mar 10 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/whipper.git;a=log;h=master

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 4ea3a7c
- python 3.13 rebuild

* Sun Mar 27 2022 Jan Rękorajski <baggins@pld-linux.org> f6a775c
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> e203de0
- rebuild with python 3.10

* Fri May 21 2021 Jan Palus <atler@pld-linux.org> aa77432
- BR: libsndfile-devel R: python3-discid; rel 2

* Mon May 17 2021 Jan Palus <atler@pld-linux.org> 0d8c591
- up to 0.10.0

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 591bdd2
- release 4 (by relup.sh)

* Fri Apr 24 2020 Jan Palus <atler@pld-linux.org> a55fed0
- updated runtime deps; rel 3

* Tue Jan 28 2020 Jan Palus <atler@pld-linux.org> ecff4c2
- no longer noarch with custom accuraterip-checksum; rel 2

* Sat Jan 25 2020 Jan Palus <atler@pld-linux.org> 07a1b5d
- up to 0.9.0

* Sat Dec 15 2018 Jan Palus <atler@pld-linux.org> c8e097b
- up to 0.7.3

* Wed Oct 31 2018 Jan Palus <atler@pld-linux.org> 1cbedc1
- up to 0.7.2

* Tue Oct 23 2018 Jan Palus <atler@pld-linux.org> 1a750d8
- up to 0.7.1

* Mon Apr 09 2018 Jan Palus <atler@pld-linux.org> 2ca82e2
- up to 0.7.0

* Thu Feb 15 2018 Jan Palus <atler@pld-linux.org> 04611d7
- Revert "python-setuptools is build time not runtime dependency"

* Thu Feb 15 2018 Jan Palus <atler@pld-linux.org> 21afb01
- python-setuptools is build time not runtime dependency

* Thu Feb 15 2018 Jan Palus <atler@pld-linux.org> c54fa6e
- new (version 0.6.0)

